=== debian/changelog ===
cpputest (3.1-2) unstable; urgency=low

  * Use override-*-indep targets in debian/rules when acting on files
    from an arch: all package. Closes: #676411

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Jun 2012 08:22:10 +0200

cpputest (3.1-1) unstable; urgency=low

  * Initial release. Closes: #676166

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 05 Jun 2012 13:45:24 +0200
