=== debian/watch ===
version=3
http://sf.net/cpputest/CppUTest-v(.+)\.zip
