=== debian/changelog ===
cpputest (3.3-2) unstable; urgency=low

  * Upload to unstable now that wheezy is released.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 06 May 2013 10:20:24 +0200

cpputest (3.3-1) experimental; urgency=low

  * New upstream release.
  * Drop fix-ruby-shebangs.patch, merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 28 Apr 2013 16:40:51 +0200

cpputest (3.2-1) experimental; urgency=low

  * New upstream release.
  * Mark "build" as a PHONY target since it's a real directory in the upstream
    tarball.
  * Update watch file to point to the new GitHub location.
  * Drop fix-shebangs.patch, merged upstream.
  * Add fix-ruby-shebangs.patch to fix incorrect /bin/ruby in shebang lines of
    some scripts. 
  * Drop workaround for #676462 and increase debhelper build-dep to
    ensure we have a fixed version.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 10 Aug 2012 09:36:54 +0200
