=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,5 @@
 		  debian/cpputest/usr/share/cpputest/scripts/convertToUnity/create_unity_test_runner.rb
 	dh_fixperms
 
-# Work-around debhelper bug #676462
-override_dh_installexamples-arch:
-	dh_installexamples
-override_dh_fixperms-arch:
-	dh_fixperms
+# Be explicit about "build" being a virtual target since it's a real directory
+.PHONY: build
