=== debian/changelog ===
cpputest (3.4-3) unstable; urgency=low

  * Use -Werror in maintainer mode only. Closes: #713636
  * Use dh-autoreconf to regenerate the configure script.
  * Use --disable-silent-rules to have complete command lines in the log.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 22 Jun 2013 22:54:59 +0200

cpputest (3.4-2) unstable; urgency=low

  * Fix homepage and watch file.
  * Update standards-version to 3.9.4.
  * Drop no longer needed dpkg-dev build dependency.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 13 May 2013 09:23:41 +0200

cpputest (3.4-1) unstable; urgency=low

  * New upstream release.
  * Update packaging to cope with switch to autoconf.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 12 May 2013 20:35:34 +0200
