=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
-Homepage: http://www.cpputest.org
+Homepage: http://cpputest.github.io/
 Vcs-Git: git://anonscm.debian.org/collab-maint/cpputest.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cpputest.git
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.20120608~), dh-autoreconf
 
 Package: cpputest
 Architecture: all
