=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,10 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/default.mk
+%:
+	dh $@ --with autoreconf
 
-%:
-	dh $@
-
-override_dh_auto_build:
-	$(MAKE) all extensions
-
-override_dh_auto_install:
-	mkdir -p debian/libcpputest-dev/usr/lib/$(DEB_HOST_MULTIARCH)
-	cp lib/*.a debian/libcpputest-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
-
-override_dh_auto_clean:
-	$(MAKE) cleanExtensions clean
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
 
 override_dh_compress:
 	dh_compress -X.cpp
