## cpputest 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(CppUTest)
 
 set(CppUTest_version_major 3)
-set(CppUTest_version_minor 3)
+set(CppUTest_version_minor 7.1)
 
 # 2.6.3 is needed for ctest support
 cmake_minimum_required(VERSION 2.6.3)
@@ -13,16 +13,22 @@
 option(EXTENSIONS "Use the CppUTest extenstion library" ON)
 option(MAP_FILE "Enable the creation of a map file" OFF)
 option(COVERAGE "Enable running with coverage" OFF)
-option(REAL_GTEST "Enable using real GTest rather than faking it" OFF)
-option(GMOCK "Enable using GMock" OFF)
+option(C++11 "Compile with C++11 support" OFF)
 
 option(TESTS "Compile and make tests for the code?" ON)
+option(TESTS_DETAILED "Run each test separately instead of grouped?" OFF)
 
 if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "What kind of build this is" FORCE)
 endif(NOT CMAKE_BUILD_TYPE)
 
+# Pkg-config file
+include(FindPkgConfig)
+set(CppUTest_PKGCONFIG_FILE cpputest.pc)
+
 set(CppUTestRootDirectory ${PROJECT_SOURCE_DIR})
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CppUTestRootDirectory}/cmake/Modules)
 
 include("${CppUTestRootDirectory}/cmake/Modules/CppUTestConfigurationOptions.cmake")
 include(CTest)
@@ -45,6 +51,20 @@
     add_subdirectory(tests)
 endif (TESTS)
 
+# Pkg-config file.
+set (prefix "${CMAKE_INSTALL_PREFIX}")
+set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
+set (libdir "${LIB_INSTALL_DIR}")
+set (includedir "${INCLUDE_INSTALL_DIR}")
+set (PACKAGE_VERSION "${CppUTest_version_major}.${CppUTest_version_minor}")
+
+configure_file (cpputest.pc.in
+    ${CMAKE_CURRENT_SOURCE_DIR}/${CppUTest_PKGCONFIG_FILE} @ONLY)
+
+install(FILES  ${CMAKE_CURRENT_SOURCE_DIR}/${CppUTest_PKGCONFIG_FILE}
+    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
+    )
+
 message("
 -------------------------------------------------------
 CppUTest Version ${CppUTest_version_major}.${CppUTest_version_minor}
@@ -63,11 +83,10 @@
 
     Using Standard C library:           ${STD_C}
     Using Standard C++ library:         ${STD_CPP}
+    Using C++11 library:                ${C++11}
 
     Generating map file:                ${MAP_FILE}
     Compiling with coverage:            ${COVERAGE}
 
-    Use 'real' GTest:                   ${REAL_GTEST}
-    Able to use GMock:                  ${GMOCK}
 -------------------------------------------------------
 ")
