=== src/CppUTest/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
         MemoryLeakDetector.cpp
         TestFilter.cpp
         TestPlugin.cpp
+        SimpleMutex.cpp
         Utest.cpp
         ../Platforms/${CPP_PLATFORM}/UtestPlatform.cpp
 )
