=== debian/changelog ===
cpputest (3.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/werror-in-maint-mode-only.patch, merged upstream.
  * Improve watch file to skip X.Ydev tarballs.
  * Update Vcs-Browser to point to new cgit urls.
  * Update Standards-Version to 3.9.6, no change.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 May 2015 10:34:28 +0200
